Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Contoller can not switch when stopped
#1
I just bought this plugin for an old project (not mine) to upgrade this plugin to a new version, but because I'm still a beginner I encountered problems in its implementation. at this code RunnerController.Instance.SwitchTo(this.CurrSpline, 0f, 0f); and error log:

[Curvy] Contoller can not switch when stopped. The switch call will be ignored
UnityEngine.Debug:LogError(Object)
FluffyUnderware.DevTools.DTLog:LogError(Object) (at Assets/Plugins/DevTools/Classes/DTUtility.cs:848)
FluffyUnderware.Curvy.Controllers.SplineController:SwitchTo(CurvySpline, Single, Single) (at Assets/Plugins/Curvy/Controllers/SplineController.cs:338)
<Jump>d__34:MoveNext() (at Assets/Scripts/InfiniteRun.cs:1138)
UnityEngine.SetupCoroutine:InvokeMoveNext(IEnumerator, IntPtr)


Sorry if the language isn't good, Thank You.


Attached Files Image(s)
   
Reply
#2
Hi,
Did this error appeared when running the infinite run example scene with no modification on the code, or was it due to you modifying the code?
The error message says that the controller should be playing before you call the switch, otherwise it will do nothing. To play the controller manually, call controller.Play
Even if you manage to fix the issue, please let me know about the answer to my question.
Thanks and have a nice day
Please consider leaving a review for Curvy. This will help a lot keeping Curvy relevant in the eyes of the Asset Store algorithm.
Reply
#3
I just replaced the old curvy plugin with a new version and it turned out to be an error, is there a tutorial on how to upgrade from the old version to the new version, thank you
Reply
#4
Hi,
You used the word "replaced", but just to make sure: did you remove the old folder before important the new version?
If so, what was the version you had before? And what error messages do you have?

About upgrading guide, there is none, but before releasing any breaking change in Curvy, I mark the API method that will change as Obsolete, while providing the new alternative. The Obsolete tag displays a compiler warning when compiling the code, and often I add to it a custom message saying what method to use instead. So for someone who updates regularly, and acts accordingly when seeing a compiler warning from Curvy, the upgrade is done smoothly.
But for someone who had not upgraded for a long time, then this process becomes problematic. Ideally, the Unity asset store would allow owners of a specific asset to get all the older updates, but this is unfortunately not the case.

So once you will answer my questions, I would either tell you what to do if it is just few issues to fix, or I will send you consecutive versions so that you update gradually and little by little fix things. This last scenario would be needed only if it has been really a long time since your last update.

Also, as stated in the release notes page, Curvy is using the versioning standard “Semantic Versioning 2.0.0” (more about it here : https://semver.org/) which means that between a version 5.x.x and 6.x.x there are breaking changes.
Please consider leaving a review for Curvy. This will help a lot keeping Curvy relevant in the eyes of the Asset Store algorithm.
Reply
#5
Thanks for your support, i have found the solution to my problem from this link https://forum.curvyeditor.com/thread-676...ght=il2cpp,
although not using the latest version of curvy, but now it works perfectly just by adding files link.xml for il2cpp build android, Thank you
Reply
#6
You are using a really old version then. I am curious: what version are you using?
Please consider leaving a review for Curvy. This will help a lot keeping Curvy relevant in the eyes of the Asset Store algorithm.
Reply


Possibly Related Threads…
Thread Author Replies Views Last Post
  Error: Calling TeleportBy on a controller that is stopped jamesunity 5 462 07-13-2020, 12:28 PM
Last Post: _Aka_
  Unity Switch issue fabien 1 2,523 06-07-2017, 07:18 PM
Last Post: Jake

Forum Jump: